SDL_HINT_GAMECONTROLLER_IGNORE_DEVICES_EXCEPT(3)

NAME
SDL_HINT_GAMECONTROLLER_IGNORE_DEVICES_EXCEPT - If set, all devices will be skipped when scanning for game controllers except for the ones listed in this variable.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_GAMECONTROLLER_IGNORE_DEVICES_EXCEPT SDL_GAMECONTROLLER_IGNORE_DEVICES_EXCEPT"

DESCRIPTION
The format of the string is a comma separated list of USB VID/PID pairs in hexadecimal form, e.g.

0xAAAA/0xBBBB,0xCCCC/0xDDDD

The variable can also take the form of "@file", in which case the named file will be loaded and interpreted as the value of the variable.

This hint can be set anytime.

AVAILABILITY
This hint is available since SDL 3.2.0.